doge24190的狗窝

一个很乱的wiki

用户工具

站点工具


byd-doku

The plugin repository could not be contacted. Make sure your server is allowed to contact www.dokuwiki.org and check your proxy settings. [Retry]

问题根源

PHP的证书过期导致无法与update.dokuwiki.org进行ssl连接

解决方法

1.更新php的证书

以我使用的宝塔面板为例,在应用管理处找到php管理,在配置文件一栏搜索“openssl.cafile”,找到证书路径(我的是/etc/pki/tls/certs/ca-bundle.crt),用文件管理打开

进入https://curl.se/docs/caextract.html,下载最新的证书文件(cacert.pem)

用文本编辑软件打开证书文件,全部复制下来,替换掉服务器的ca-bundle.crt文件中的内容,保存。

问题解决!

参考资料

评论

请输入您的评论. 可以使用维基语法:
E᠎ Q᠎ P D K
 
byd-doku.txt · 最后更改: 2024/01/23 19:13 由 doge24190